package com.ruoyi.predict.service;

import com.ruoyi.predict.domain.WfStatType;

import java.util.List;

/**
 * WfStatTypeService接口
 *
 * @author hlf
 * @date 2022-01-10
 */
public interface IWfStatTypeService {
    /**
     * 查询WfStatType
     *
     * @param windplantNo WfStatTypeID
     * @return WfStatType
     */
    public WfStatType selectWfStatTypeById(Long windplantNo);

    /**
     * 查询WfStatType列表
     *
     * @param wfStatType WfStatType
     * @return WfStatType集合
     */
    public List<WfStatType> selectWfStatTypeList(WfStatType wfStatType);

    /**
     * 新增WfStatType
     *
     * @param wfStatType WfStatType
     * @return 结果
     */
    public int insertWfStatType(WfStatType wfStatType);

    /**
     * 修改WfStatType
     *
     * @param wfStatType WfStatType
     * @return 结果
     */
    public int updateWfStatType(WfStatType wfStatType);

    /**
     * 删除WfStatType信息
     *
     * @param windplantNo WfStatTypeID
     * @return 结果
     */
    public int deleteWfStatTypeById(Long windplantNo);

    /**
     * 批量删除WfStatType
     *
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteWfStatTypeByIds(String ids);

    String checkWindplantNoUnique(Long windplantNo);
}
